/* zwischendrin auskommentierte alerts zu testzwecken, ob programm in eine funktion springt, daten ankommen etc. */


//Button "Tag 1" durch richtiges Datum oder "Keine Einträge" ersetzen
function datumHeute(heute) {
	if(heute == "leer") {
		$("#tag1").text("Keine Einträge");
		//Wenn keine Einträge, direkt Button ausblenden -> tag defacto nicht anwählbar
		//$("#tag1").hide();
	} else {
		$("#tag1").text(heute);
	}
}

//Button "Tag 2" durch richtiges Datum oder "Keine Einträge" ersetzen
function datumMorgen(morgen) {
	if(morgen == "leer") {
		$("#tag2").text("Keine Einträge");
		//Wenn keine Einträge, direkt Button ausblenden -> tag defacto nicht anwählbar
		//$("#tag2").hide();
	} else {
		$("#tag2").text(morgen);
	}
}

//ein- und ausblenden des stufenwählers
function sicht(obj) {
	var dis = $(obj).css("display");
	if(dis == "none") {
		$(obj).show();
	} else {
		$(obj).hide();
	}
}

/*aufgerufen bei Buttondruck in Stufenwahl; nur Einträge der gewählten Stufe anzeigen;
per css -> immer alle Einträge geladen -> schnelle Umschaltung, keine erneute Wartezeit*/
function filter(stufe) {
	if(stufe == "a") {
		//wenn alle gewählt, alle zeigen
		$(".eintrag").show();
	} else {
		//nicht betroffene hiden, betroffene showen
		$(".klasse:not(:contains('"+stufe+"'))").parent().hide();
		$(".klasse:contains('"+stufe+"')").parent().show();
	}
	//nach druck auf Button Auswahl hiden
	$("#stufen").hide();
}

//die allmächtige JSON Funktion, probeHugo weil zu Testzwecken, hat funktioniert, an zu vielen stellen eingetragen, name gelassen
function probeHugo(data) {
  //alert(JSON.stringify(data));

	//beginn der unterrichtsstunden in sekunden
  var stunden = new Array(1500);
	stunden[8*60+20] = "1.";
	stunden[9*60+10] = "2.";
	stunden[10*60] = "3.";
	stunden[11*60+10] = "4.";
	stunden[12*60] = "5.";
	stunden[12*60+45] = "6.";
	stunden[13*60+30] = "7.";
	stunden[14*60+15] = "8.";
	stunden[15*60] = "9.";
	stunden[15*60+45] = "10.";
	stunden[16*60+30] = "11.";

	//farben für die einträge im plan
	var entfall = "red";
	var vertretung = "blue";
	var sonstige = "green";
	
	var farben = new Array;
	farben[1] = entfall;
	farben[2] = vertretung;
	farben[3] = vertretung;
	farben[4] = vertretung;
	farben[5] = sonstige;
	farben[6] = vertretung;
	farben[7] = vertretung;
	farben[8] = sonstige;
	farben[9] = sonstige;
	farben[10] = sonstige;
	farben[11] = vertretung;
	farben[12] = vertretung;
	farben[13] = vertretung;
	farben[19] = vertretung;

	//Variable zum Sammeln von allem, was am Ende ausgegeben werden soll
	var text;

	//Wenn es noch Stunden zum anzeigen gibt, dann tu was, ...
	if(data.plan[0] != undefined) {
		
		//Liste mit Einträgen starten
		text = "<ul id='eintraege'>";
		
		//Solange es Stunden im Plan gibt, die Stunden anzeigen
		for (var i = 0; i < data.plan.length; i++) {

			//time, stunde und minute zum Vergleich mit den Unterrichtsstunden
			var time = new Date(data.plan[i].time*1000);
			var klasse = data.plan[i].class;
			var fach = data.plan[i].subject;
			var id = data.plan[i].pid;
			var stunde = time.getHours();
			var minute = time.getMinutes();
			var beschreibung = data.plan[i].description;
			var minuteNull;

			//zuletzt geändert bauen
			var updated = new Date(data.plan[i].updated*1000);
			var updateYear = updated.getFullYear();
			var updateDay = updated.getDate();
			var updateHour = updated.getHours();
			var updateMinute = updated.getMinutes();
			var updateMonth = updated.getMonth()+1;

			//trennungsstrich klasse - fach
			var fachP = " - "+fach;

			//fehlermeldung abfangen
			if(beschreibung == null) {
				beschreibung = "";
			}

			//führende 0 in Minuten fummeln
			if(minute < 10) {
				minuteNull = "0"+minute;
			} else {
				minuteNull = minute;
			}

			//startzeit ausrechnen
			var zeit = stunde*60+minute;

			//raum abfragen, wenn kein raum, fehler abfangen
			var raum = data.plan[i].room;
			if(raum == null) {
				raum = "";
			}

			//einordnung des typs (vertretung, betreuung, entfall etc.) per nummer...
			var typNummer = data.plan[i].type;
			//...und entsprechendem name
			var typName = data.types[typNummer].name;
			//wenn leer, fehler abfangen, sonst trennungs-absatz
			if(typName == "") {
				typName = "";
			} else {
				typName = "<br />"+typName;
			}
			var bgColor;
			var farbStyle;
			
			//eigenverantwortliches arbeiten in entfall-farbe färben
			if(beschreibung == "eigenverant. Arbeiten") {
				bgColor = entfall;
			} else {
				bgColor = farben[typNummer];
			}

			//textfarbe an hintergrundfarbe anpassen
			var txtColor;
			if(bgColor != "white") {
				txtColor = "white";
			} else {
				txtColor = "black";
			}

			//raum in Satz einbauen -> Verbindung typ - raum
			var raumP;
			if(raum == "") {
				raumP = "";
			} else {
				raumP = " in Raum "+raum;
			}

			//beschreibung einbauen in neuer zeile
			var beschreibungP;
			if(beschreibung == "") {
				beschreibungP = "";
			} else {
				beschreibungP = "<br />Beschreibung: "+beschreibung;
			}

			//alles zusammen basteln in einen li listeneintrag
			text += "<li class='eintrag' style='background-color: "+bgColor+"; color: "+txtColor+"'>";
			text += "<span class='klasse'>"+klasse+fachP+" </span> - ";
			text += "<span class='stunde'> "+stunden[zeit]+" Stunde"+typName+"</span>";
			text += "<span class='raum'>"+raumP+"</span><span class='beschreibung'>"+beschreibungP+"</span>";
			text += "</li>";
		
		}

		//zuletzt geändert
		text += "<div class='updated'>Stand: "+updateDay+"."+updateMonth+"."+updateYear+" "+updateHour+":"+updateMinute+"</div>";

		//liste mit einträgen schließen
		text += "</ul>";
	
	} else { //Wenn es keine Stunden mehr zum Anzeigen gibt, dann schreibe das hin 
		text = "<h3>F&uuml;r heute keine Eintr&auml;ge mehr...</h3>";
	}

	//Plan bzw. hinweis anzeigen
	$("#ergebnis").html(text);
}
